
Redmine - Patch #12664

MyPage block for latest forum posts

2012-12-21 17:58 - Jan Niggemann (redmine.org team member)

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Description

Currently there's no block displaying posts from forums belonging to projects the user is taking part in.

Attached my proposition for such a block (to be placed in app/views/my/blocks/).

Obviously, the my_controller.rb needs info about the new block as well.

What do you think?

Related issues:

Related to Redmine - Feature #964: Global Forums-overview New 2008-03-31

Related to Redmine - Patch #1486: Highlight recent forum activity New 2008-06-17

Related to Redmine - Feature #3235: Watched topics on My page New 2009-04-24

Related to Redmine - Feature #34336: Show latest messages on forums index page New

History

#1 - 2012-12-22 14:54 - Jan Niggemann (redmine.org team member)

- Category set to My page

#2 - 2013-01-03 09:52 - Daniel Felix

- File forum_widget_with_locales.diff added

Hi,

I added a new translation key and changed the my_controller to display the new block. Just see attached patch.

I tested this on my system and it worked as expected.

Best regards,

Daniel

#3 - 2013-01-03 15:52 - Daniel Felix

- File forum_widget_with_locales_v2.diff added

I found a typo regarding the class definition.

Fixed in v2.

#4 - 2013-01-18 20:42 - Jean-Philippe Lang

It raises a SQL error when the current user has no memberships. Another point is that Message.visible scope should used. And using parameters in

the where condition is a prefered way to build queries.

#5 - 2018-07-03 12:25 - Go MAEDA

- Related to Feature #3235: Watched topics on My page added

#6 - 2020-11-29 12:51 - Go MAEDA

- Related to Feature #34336: Show latest messages on forums index page added

#7 - 2021-06-22 09:27 - Takenori TAKAKI

- File 12664.diff added
I think this proposal is useful as another way to realize the concept of #34336.

I made a patch that works on v4.2.1, and attach it.

#8 - 2021-07-01 09:00 - Go MAEDA

Takenori TAKAKI wrote:

I think this proposal is useful as another way to realize the concept of #34336.

 Thank you for posting the patch. I think the patch needs some improvements:

Long content should be trimmed down to tens or hundreds characters. Displaying full content may break the layout when the content is very long

Left-aligning the content is preferred

#9 - 2021-07-13 03:37 - Takenori TAKAKI

Go MAEDA wrote:

Thank you for posting the patch. I think the patch needs some improvements:

Long content should be trimmed down to tens or hundreds characters. Displaying full content may break the layout when the content is very

long

Left-aligning the content is preferred

 Thanks for the feedback.

How about not showing content in the list at all?

The content of the message is not shown in the message list in the forum.

#10 - 2021-09-01 04:31 - Takenori TAKAKI

- File 12664-without-content.patch added

Takenori TAKAKI wrote:

How about not showing content in the list at all?

The content of the message is not shown in the message list in the forum.

 I’v made a patch that does not show content and  attache it.

Files

_forums.html.erb 1.06 KB 2012-12-21 Jan Niggemann (redmine.org team member)

forum_widget_with_locales.diff 24.6 KB 2013-01-03 Daniel Felix

forum_widget_with_locales_v2.diff 24.6 KB 2013-01-03 Daniel Felix

12664.diff 4.44 KB 2021-06-22 Takenori TAKAKI

12664-without-content.patch 4.35 KB 2021-09-01 Takenori TAKAKI
